ID3EncodingConverter
MP3 Taggers
Score 58%
Description:

A simple ID3 tag viewer with support for conversion of different character sets.

This is currently alpha material

ID3EncodingConverter is a simple ID3 tag viewer for KDE written in Python which supports conversion of tags from different character sets to Unicode with ID3v2. Its goal is fast and simple conversion for multiple files, letting the user compare between ID3v1 and ID3v2 tags and choose the correct encoding.

This is built on the Amarok script http://www.kde-apps.org/content/show.php/EncodingConverter?content=70579. A new script is planned.

Check out a read-only working copy anonymously over HTTP:
svn checkout http://id3encodingconverter.googlecode.com/svn/trunk/ id3encodingconverter-read-only

Features:
* Conversion of ID3v1 to ID3v2 tags
* Simple side by side comparison of ID3v1 and ID3v2 tags
* Highlighting of differences between both versions
* Selection of encoding based on comparison of encoded versions of ID3v1 tag or encoding names
* Batch conversion of several files
* Intelligent guessing of encoding
* Automatic conversion mode

Dependencies
* Python Programming Language
* Qt4 Cross-Platform GUI and Framework
* KDE4 KDE4 libraries including kdecore, kdeui, kio
* PyKDE4 Python bindings for KDE
* TagLib Audio Meta-Data Library
* TagPy Python bindings for TagLib
Last changelog:

9 years ago

0.1alpha (14.04.2008) created from Amarok script "EncodingConverter", moved to KDE4, made a stand alone app
0.1alpha (15.04.2008) SVN build, minor changes
0.1alpha (16.04.2008) fixing missing libTextCat handling, Menu for window manager
0.1alpha (01.05.2008) More functions completed, fixed some packaging issues

gecko

9 years ago

I get the following error, when i try to run the programm:

$ id3encodingconverter
Traceback (most recent call last):
File "/usr/bin/id3encodingconverter", line 1807, in <module>
main()
File "/usr/bin/id3encodingconverter", line 1758, in main
license, copyright, text, homePage, bugEmail)
TypeError: argument 1 of KAboutData() has an invalid type

Report

C

chrisKA

9 years ago

Sorry for the long delay, but kde-apps won't issue email updates.

Your error is connected to incompatible versions of PyQt and PyKDE.
See: http://www.mail-archive.com/pyqt@riverbankcomputing.com/msg14205.html

This is probably a problem of your distribution.

Report

9 years ago

0.1alpha (14.04.2008) created from Amarok script "EncodingConverter", moved to KDE4, made a stand alone app
0.1alpha (15.04.2008) SVN build, minor changes
0.1alpha (16.04.2008) fixing missing libTextCat handling, Menu for window manager
0.1alpha (01.05.2008) More functions completed, fixed some packaging issues

product-maker 9 15

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.1alpha.svn20080501
updated May 01 2008
added Apr 13 2008
downloads today
0
page views today 1